Skip to main content
GET
/
orgs
/
{org_id}
/
iam
/
roles
/
{role_id}
cURL
curl --request GET \
  --url https://api.timbal.ai/orgs/{org_id}/iam/roles/{role_id} \
  --header 'Authorization: Bearer <token>'
{
  "created_at": "2023-11-07T05:31:56Z",
  "grants": [
    {
      "action": "<string>",
      "condition": "<unknown>",
      "resource": "<string>"
    }
  ],
  "id": "<string>",
  "name": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required
role_id
string
required

Response

Role for the organization

A role with its full grant set.

created_at
string<date-time>
required
grants
object[]
required

Domain grants this role carries. May be empty.

id
string
required
name
string
required
source
enum<string>
required

Whether a role is a built-in preset or defined by the organization. system roles are read-only; custom roles can be edited or deleted by an organization admin.

Available options:
system,
custom
updated_at
string<date-time>
required
description
string | null